'use strict';

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getDirectories(srcpath) {
  return _fs2.default.readdirSync(srcpath).filter(function (file) {
    return _fs2.default.statSync(_path2.default.join(srcpath, file)).isDirectory();
  });
}

function run() {
  var directories = getDirectories(_path2.default.normalize(process.env.PWD + '/node_modules'));

  if (!directories) {
    return;
  }

  directories.forEach(function (directory) {
    var PHPfilename = _path2.default.normalize(process.env.PWD + '/node_modules/' + directory + '/index.php');

    if (_fs2.default.existsSync(PHPfilename)) {
      _fs2.default.createReadStream(PHPfilename).pipe(_fs2.default.createWriteStream(process.env.PWD + '/wp-autoload/from-node/' + directory + '.php'));
    }
  });
}

run();